Subject: #720 and #725 - Appeals and IAD autonomy

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 22 Dec 2004 16:21:53 +0100

These two tickets are linked, as both contain discussions on how the IAD 
and the IAOC behave where people believe that they have not done the Right 
Thing (for whatever meaning of "right").

The text from the head of the #720 thread:

> While there is a method to appeal procedural lapses by the IAOC, and I
> am fine with that, there does not seem to be a way for a member of the
> community to question, i.e. appeal, the actions of the IAD. I.e. 3.4
> does not contain method to appeal the actions of the IAD for procedural
> issues or suspected malfeasance.

The thread in #725 is rather convoluted, and touches upon a number of 
issues - DoS attacks, ability to appeal decisions rather than procedure 
violations, recourse to recall and whether that is appropriate.... go read 
the thread for details.

The current relevant text from 3.4 is:

   If someone believes that the IAOC has violated the IAOC rules and
   procedures, he or she can ask the IETF leadership to investigate the
   matter, using the same procedure as is used for appeals of procedural
   issues in the IETF, starting with the IESG.

   If the IESG, IAB or the ISOC Board of Trustees find that procedures
   have been violated, they may advise the IAOC, but do not have
   authority to overturn or change a decision of the IAOC.

and from 3.2:

   The IAOC's role is to provide appropriate direction to the IAD, to
   review the IAD's regular reports, and to oversee the IASA functions
   to ensure that the administrative needs of the IETF community are
   being properly met.

Suggested resolution:

1) Make a separate section for the appeals stuff in 3.4 (for clarity), so 
that this becomes section 3.5

2) Change the section to read:

   If someone believes that the IAOC has made a decision that is clearly
   not in the IETF's best interest, he or she can ask the IETF leadership
   to investigate the
   matter, using the same procedure as is used for appeals of procedural
   issues in the IETF, starting with the IESG.

   In cases where appeals concern
   legally-binding actions of the IAOC (hiring, signed contracts, etc.),
   the bodies handling the appeal may advise the IAOC, but are not
   authorized to make or unmake any legally binding agreements on the
   part of IASA.

   In cases where no legally-binding actions are at stake, the bodies
   handling the appeal may nullify the IAOC decision and ask IAOC to restart
   its decision process.

(mostly suggestion from Margaret)

3) Add the following to the IAOC's role in 3.2:

   The IAOC will hear and respond to concerns from the community about
   the activities of the IASA.

Does this make sense, or are we leaning too far in the "too many appeals" 
direction?

                       Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: [email-masked]
Date: Wed, 22 Dec 2004 11:39:59 -0500

Mostly ok with me.

On 22 dec 2004, at 10.21, Harald Tveit Alvestrand wrote:

>
> Suggested resolution:
>
> 1) Make a separate section for the appeals stuff in 3.4 (for clarity), 
> so that this becomes section 3.5
>

Well, if we follow the current process, they should be able to appeal 
directly to the IAOC and then escalate it as normal.

>   handling the appeal may nullify the IAOC decision and ask IAOC to 

Is it necessary to restart the process.  I can imagine cases where it 
would be sufficient to reconsider something that it had failed to 
consider.  I would suggest substituting reconsider for restart.

>   the activities of the IASA.

Even though it is slightly redundant, I would like to see it 
specifically include a final clause

      activities of the IASA, including actions by the IAD.

>
> Does this make sense, or are we leaning too far in the "too many 
> appeals" direction?

I think it makes sense and that we are not leaning in the 'too many 
appeals' direction.  I believe that the history of appeals, and recalls 
for that matter, show that they are relatively few, especially when 
things are running well.  The process is new, and there may be a flurry 
of initial concerns, and these must be handled well for the community 
to gain confidence in the IASA.

The wording 'hear and respond to' should allow for a light weight but 
due diligence procedure.  We will only enter the domain of appeals, in 
the formal sense of the word, if the community believe that the IAOC is 
not handling this properly.

a.

---

From: John C Klensin <[email-masked]>
Date: Wed, 22 Dec 2004 15:37:52 -0500

Harald,

Another dissenting view...

Unless we modify the suggested text to deal with all sorts of
cases that we probably can't predict and that would make things
quite complicated, I don't see this working as intended.  The
sorts of cases I'm concerned about include not only information
given the IAOC under non-disclosure provisions but also
personnel matters, matters that could become the subject of
litigation or that were already being litigated, and so on, for
probably a longer list than I can imagine.

It probably will come as no surprise that I'm uncomfortable with
the potential intersection of "whipped-up mob" with
"administrative entity and processes".

So let me suggest an entirely different model for your
consideration:

(1) The IAB and/or IESG can formally ask  (I don't care about
the details)  the IAOC, or the IAD, to reconsider its decision
on any matter.  If such a request is made, the relevant body or
individual is obligated to review the decision, seek more voters
or a larger consensus if possible, and then either reaffirm the
decision or make another one.

(2) Any member of the community (or, preferably, any handful of
members of the community) can ask the IAB and/or IESG to
initiate such a reconsideration request.    The decision on that
request t initiate reconsideration can be appealed using normal
mechanisms.

(3) If the IAOC regularly misbehaves, the correct remedy is to
fire them, just like any other body acting as a board of
directors.  So we need to look carefully at recall and related
procedures and make sure that they can be used... easily enough,
but no more easily than that.

Following the model of the current text leads to opportunities
for micromanagement by appeal, and, if the IAOC and IAD are to
be effective, we just don't want to go there.   Put differently,
if people don't believe that The Right Thing is being done, they
shouldn't be looking in detail at particular decisions.  They
should, instead, be suggesting that the IAOC review its own
decisions contributing whatever additional information is
available to that review.  And, if the IAOC adopts a pattern of
doing Wrong Things, it should be time to replace them (starting
with a request for resignations), not to try to retune or
override individual decisions.

Get the right people into these positions, and then let them do
the job.

If we can't find the right people and put them there, then none
of these procedures --other than firing the duds and trying
again-- are good enough to protect the IETF.  Perhaps worse, we
then run the risk of getting us seriously bogged down while we
try to use those incremental correction procedures.

     john

--On Wednesday, 22 December, 2004 16:21 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> These two tickets are linked, as both contain discussions on
> how the IAD and the IAOC behave where people believe that they
> have not done the Right Thing (for whatever meaning of
> "right").
> 
>> While there is a method to appeal procedural lapses by the
>> IAOC, and I am fine with that, there does not seem to be a
>> way for a member of the community to question, i.e. appeal,
>> the actions of the IAD. I.e. 3.4 does not contain method to
>> appeal the actions of the IAD for procedural issues or
>> suspected malfeasance.
> 
> The thread in #725 is rather convoluted, and touches upon a
> number of issues - DoS attacks, ability to appeal decisions
> rather than procedure violations, recourse to recall and
> whether that is appropriate.... go read the thread for details.
> 
> 1) Make a separate section for the appeals stuff in 3.4 (for
> clarity), so that this becomes section 3.5
> 
> Does this make sense, or are we leaning too far in the "too
> many appeals" direction?
> 
>                        Harald
> 
> 
> 
>

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 22 Dec 2004 21:51:49 +0100

John,

I've probably seen enough versions of enough issues that I'm more than a 
little spaced out...... but I think your proposal looks very much like the 
in-draft version of the appeals procedure, with three differences:

- Not limited to procedure, and not limited to the IAOC
- Abandoning the "chain" model of "if you don't like one decision, try 
again" that the current appeal structure has
- Not using the word "appeal"

I like all of those properties, and it should be a small twist of language 
(starting from the text in the draft, not the most recent suggestion) to 
make it come out that way.
But I'm not sure I'm reading your words correctly, so better 
double-check....

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 22 Dec 2004 18:53:50 -0600

John's concern and suggested improvements work for me.

FWIW, I am more comfortable with 2026-style appeals when we're talking 
about publishing a protocol specification than I am when we're talking 
about (for example) contracting for an IETF meeting location. The 
short-term downside of not making a decision is a lot higher in the 
second case - and John's suggested text seems to limit the DoS 
characteristics, which I like.

Spencer

From: "John C Klensin" <[email-masked]>

---

From: Sam Hartman <[email-masked]>
Date: Wed, 22 Dec 2004 23:26:00 -0500

I think your proposed three changes are a significant improvement over
the current text.  As I've said, I am willing to live with the current
text but do not consider it ideal.

--Sam

---

From: John C Klensin <[email-masked]>
Date: Thu, 23 Dec 2004 04:14:58 -0500

--On Wednesday, 22 December, 2004 21:51 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> John,
> 
> I've probably seen enough versions of enough issues that I'm
> more than a little spaced out...... but I think your proposal
> looks very much like the in-draft version of the appeals
> procedure, with three differences:
> 
> - Abandoning the "chain" model of "if you don't like one
> decision, try again" that the current appeal structure has
> I like all of those properties, and it should be a small twist
> of language (starting from the text in the draft, not the most
> recent suggestion) to make it come out that way.

A fascinating question, actually.   I think you are reading my
words correctly and that, by happy coincidence, the words that
are now in the draft are fairly easily adapted.

But the principles are more important than the words, and I
think this is a profound change in principles.  It is, I think,
a significant change to say "if you expect the IAOC model to
succeed,

	* the IETF has got to keep its hands off the day-to-day
	decisions, even when they seem wrong
	
	* the IESG and IAB need to be prohibited structurally
	from micromanaging, or managing at all, beyond the
	degree that the IAOC wants to permit.  They supply
	input, they make requests, but decisions rest on the
	IAOC side of the wall and stay there, with the only
	_real_ recourse being to fire the IAOC

and then to figure out a way to implement those principles.

     john

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 23 Dec 2004 10:22:30 +0100

> and then to figure out a way to implement those principles.

Actually, I think we have agreement on those principles, and have mostly 
been struggling with how to express them.

Appeals procedures (under whatever name) are procedures that should exist 
so that if someone thinks something's gone really wrong, it's possible to 
get it noticed and talked about - and, if it's necessary, corrected.

Trying to manage anything by routine appeals is totally broken.

                     Harald

---

From: John C Klensin <[email-masked]>
Date: Thu, 23 Dec 2004 10:22:03 -0500

--On Thursday, 23 December, 2004 10:22 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:
 
>>> John,
>>> 
>>>...
>>> I like all of those properties, and it should be a small
>>> twist of language (starting from the text in the draft, not
>>> the most recent suggestion) to make it come out that way.
>> think this is a profound change in principles.  It is, I
>> think, a significant change to say "if you expect the IAOC
>> model to succeed,
>> 
> Actually, I think we have agreement on those principles, and
> have mostly been struggling with how to express them.
> 
> Appeals procedures (under whatever name) are procedures that
> should exist so that if someone thinks something's gone really
> wrong, it's possible to get it noticed and talked about - and,
> if it's necessary, corrected.
> 

Well, perhaps we are close enough that it doesn't make sense to
have further discussion without text, and text in context, but...

I think the "something's gone really wrong" and "...corrected"
part of the above _might_ miss the point I'm trying to make.  

	(1) If you have an appeal procedure, any appeal
	procedure at all, then it is up to the judgment of the
	individual members of the community whether a decision
	is "really wrong".   I don't need to worry about denial
	of service attacks here, just about people acting in
	good faith and with the best of intentions.  Remember we
	have had debates on the IETF list about the variety of
	pastries to be available during meeting coffee breaks as
	well as the theory for selecting meeting sites.   I may
	be too concerned about this, but I think those debates
	could easily have led to appeals about meeting locations
	when people concluded that the decisions being made were
	against the expressed consensus  desires of the
	community (or against plain good sense).   Such appeals
	have been prevented by the assumption that the IETF
	membership has no ultimate control over _individual_
	secretariat or Chair meeting siting decisions and that
	contracts are already signed by the time meeting sites
	are announced.   That has protected us from procedural
	entanglements that could easily make meeting scheduling
	impossible.  But, with the presumed requirements on the
	admin structure for openness, that particular protection
	disappears.
	
	(2) If there is an mechanism, any mechanism at all, for
	the IESG and IAB to second-guess administrative entity
	decisions, I think it can be guaranteed, given the sorts
	of personalities we put on those bodies, that the
	mechanism will sooner or later be used and that, once
	used, there will be a tendency for its use to become
	routine.  We appoint people with strong opinions and
	with a tendency to want to manage, sometimes
	micromanage, anything for which they feel responsible
	and to do so aggressively.  If kept under control and in
	perspective, those tendencies can be very useful.  But I
	think any person who has listened to a few IESG
	telechats, any WG Chair or Editor who has tried to get a
	document through the system in recent years, anyone who
	has worked for the Secretariat, and many others can
	easily identify incidents that they would consider out
	of control or without adequate perspective.

	(3) Part of the problem here is that, on the technical
	standards side, part of the job of the IESG is to ensure
	that the collection of standards the IETF emits are
	essentially consistent, that we don't have a standard in
	one area that makes a standard in another area
	impossible to implement.  Sometimes we don't get that
	quite right and it requires some sorting-out.  But it
	works most of the time, and works precisely because that
	is a real IESG responsibility which the IESG and the
	community take seriously.   On the admin side, the IAOC
	has to be able to work out a plan and strategy that
	works in works in a consistent way.  I want to see that
	plan and strategy be public, and be exposed to comments
	from the community, and so on, but they have to
	represent a framework that the IAOC believes is
	workable.   The possibility for "despite your framework,
	we really need bagels flown in daily from Manhattan"
	decisions, or even decisions about contracting
	organizations or contract terms, overriding the
	framework is a recipe for a fast trip down a slippery
	slope toward complete disfunction.

We need to prevent that, and we need to prevent that with real
firewalls, not just "it should be appealed only if it is bad
enough; the real risk is 'routine' appeals" language and
intentions.    For the IAB or IESG to tell the IAOC "we know
something about this, or have a perspective on this, that we
don't think you considered adequately; here is the information,
please reconsider" is fine.   It provides a means of input and
it contains its own safeguard mechanism: were those requests to
appear once a week, the IAOC would presumably start blowing them
off.  And then the community would need to decide whether the
issues were actually important enough to replace the IAOC
membership and, if not, whether it was time to aim the
clue-by-four in the direction of the IETF Leadership.

The need for those firewalls is also the reason I've been
reluctant to see the IAB and IETF Chairs even as members of the
IAOC (not even getting to a debate about voting rights),
weighting the IAOC more toward folks with administrative
management/ finance experience than people selected primarily
for their technical skills and, perhaps, technical project
management experience.  I think we need to appoint the IAOC,
make sure it has access to adequate information about what is
going on in the IETF and what the IETF needs, and the let it
function.   The community has apparently concluded that the best
way to get that information to the IAOC is to put the IAB and
IETF Chairs on it.  I disagree, but that is fine.   There are
other areas, perhaps including Exec Dir appointments, where it
is completely rational to require IESG and/or IAB advice and
consent before a decision is actually made, but that is
pre-decision, not reversing decisions. 

For decisions once made, those options for strong communications
makes other sorts of firewalls even more important.   And the
key ones of those are "no appeals procedure" and "no ability of
the IAB or IESG to reverse an IAOC decision".  None.  No
judgments about what is sufficiently important or sufficiently
wrong.  None.    If the IAOC doesn't like the behavior of the
IAD, and tries to correct it by advice and negotiation, and
fails, their only recourse is to fire the IAD.   And if the IETF
Community (the IAB and IESG included) doesn't like the behavior,
or decision-quality, of the IAOC, and can't fix that through
advice and negotiation, then it needs to have a mechanism for
firing and replacing the IAOC and should use it.   But no
second-guessing or reversal of individual decisions.  Ever.

    john

---

From: Carl Malamud <[email-masked]>
Date: Thu, 23 Dec 2004 09:42:48 -0800 (PST)

Hi John -

Your note seems like an outlier.  In particular, it takes a really
*strong* stance on protecting people from each other because
people *will* act badly.  For example, the way I read your
note, the IESG will micromanage and the IASA/IAD will order
bagels flown in daily from New York.  Appeals will be a daily
happening and people will hire lawyers instead of working it out.

I think you're trying to solve many corner cases.  I don't
think we need to solve them right now.  As Dave Farber would
say, maybe we should burn those bagels when we get to them?

Seriously: this BCP seems, imo, pretty much cooked.  There may
be flaws and holes that people forgot, but this would be alot
easier to nail down if we had some operational experience in
the new framework and then solve problems that are real.
There are lots of checks in balances in place, there are going
to be lots of new people who have to get up to speed, and
the community is watching.  

I know you don't want to revise the BCP every 10 minutes for the
next 10 years, but if we had to ammend it once or even twice,
this would not be a big tragedy.

My personal advice: let's stop negotiating, call this BCP cooked, 
and move on to other fires.

Carl
(speaking as a "private citizen" again ... my contract with
ISOC has run it's course)

---

From: John C Klensin <[email-masked]>
Date: Thu, 23 Dec 2004 13:33:08 -0500

--On Thursday, 23 December, 2004 09:42 -0800 Carl Malamud
<[email-masked]> wrote:

> Hi John -
> 
> Your note seems like an outlier.  In particular, it takes a
> really *strong* stance on protecting people from each other
> because people *will* act badly.  For example, the way I read
> your note, the IESG will micromanage and the IASA/IAD will
> order bagels flown in daily from New York.  Appeals will be a
> daily happening and people will hire lawyers instead of
> working it out.

No, my concern is that 

(i) the IESG, or the IESG's leadership, is likely to micromanage
because it has tended to micromanage, or try to do so, many of
the things it has touched in the last several years -- the
secretariat, the content of various documents down to the
editorial level, the RFC Editor, and so on (some of that has
gotten better in recent months or years, but that isn't the
point).  Even you have made the claim that they (for some
instance of "they") have tried to micromanage you in terms of
the contents of your various reports and recommendations.  And
the discussion of why the IETF and IAB Chairs had to be on the
IAOC had, to me, a strong ring of "so we can make sure that
administrative entity does exactly what we want", which is close
to an operational definition of intended micromanagement.   So
that one isn't a corner case, it is a simple extrapolation from
behavior that has been observed in the community (and commented
upon in the Problem Statement work, which makes it feel like I'm
not alone in those impressions).

(ii) If I'm worried about bagels (I'm really not), I'm not
worried about the IAD/IASA making that decision: I expect those
people to be firmly in contact with fiscal realities and
priorities.  If they are not, we will have far worse problems
than the bagel supply.  But I'm concerned about even the
possibility of bagels-by-appeal, or
bagels-by-IESG/IAB-overriding IAD decisions, even while
realizing that particular example is (deliberately) unlikely.

And, as I said, the issue I'm raising is a key management and
management-relationships principle.  Whether one agrees with it
or not, characterizing it as a corner case seems to me like a
stretch.

> be flaws and holes that people forgot, but this would be a lot

The observation that what I was suggesting was close to what was
there now and would require only a few wording changes came from
Harald and not from me.   I was just trying to be sure we all
had the same understanding of what those wording changes would
be intended to mean if we mean them.

> I know you don't want to revise the BCP every 10 minutes for
> the next 10 years, but if we had to ammend it once or even
> twice, this would not be a big tragedy.

No.  But I've heard that the draft IAD job description was
floated by a couple of HR/ search experts (I believe at least
one of those reports has not been forwarded to the transition
team because there was no indication that the advice was wanted)
and that the comments involved phrases like "incompetent
description" and "no one sane would take a job defined that
way".   These are not small issues: they go to the very core of
the likely ability of the IAD and IAOC to function.  To
paraphrase an out-of-context quote from a different discussion,
I don't want to see Harald become the next-to-last Chair of the
IETF because of this process.   Put differently, I'd like to be
sure that principles are well enough articulated, and details
left to where they can be worked out, that we get a chance to
revise the BCP without completely killing the IETF in the
process.

> My personal advice: let's stop negotiating, call this BCP
> cooked,  and move on to other fires.

And my personal advice is to make sure that we get the
principles right and that we do so, as needed, based on
competent review and advice.  I also recommend that we look at
past behaviors and assume that they extrapolate cleanly into
future behaviors unless reasons or conditions can be identified
that make such extrapolation inappropriate.  I further recommend
that it is far more useful to look at those extrapolations and
what they mean about both principles and implementation than it
is to spend a lot of energy on scenarios that are really
unlikely, such as how things would be handled, in detail, if
IETF income from meeting fees significantly exceeded all
expenses in a given year.

You may have noted that I've said virtually nothing, on or
off-list, about editorial matters that don't impact principles
except sometimes to suggest that excess detail be removed.  That
is not an accident.  It is consistent, I think, with your desire
to get this cooked and out but without pushing important issues
under the proverbial rug in the process.

YMMD, of course, and likely does.
best,
   john

---

From: Carl Malamud <[email-masked]>
Date: Thu, 23 Dec 2004 13:31:42 -0800 (PST)

Hi  John -

> not alone in those impressions).

Hmmm .... I don't see how worrying this particular BCP to death is
going to change any of that.  You're talking some pretty 
fundmamental doom-and-gloom stuff.  If things are that broken,
could any BCP fix them?

> or not, characterizing it as a corner case seems to me like a

Hmmm again ... maybe it is just the holiday spirit, or the
six months of intensive community work that has gone into
the document, but it just seems to me that bagels-by-appeal,
or any of the other bagel-related scenarios, are corner
cases.

<snip for brevity>

> revise the BCP without completely killing the IETF in the

Well, I wrote portions of that description, so I definitely
resemble that remark.  ;)  I think you're overblowing this
IAD position by asking for things like executive searches.
Feel free to furnish new text to the committee ... 

As to the end of the IETF, mumble.  That seems a bit much.

> YMMD, of course, and likely does.

It does.  I've seen a remarkable degree of consensus, a few
tweaks on a few things, but no huge disagreement that the
principles are wrong.  It may not be a great document, the
framework may not be ideal, but I think y'all should move on
and get back to some real work.  :)  

Regards,

Carl

---

From: John C Klensin <[email-masked]>
Date: Thu, 23 Dec 2004 18:11:17 -0500

--On Thursday, 23 December, 2004 13:31 -0800 Carl Malamud
<[email-masked]> wrote:

> Hi  John -
> 
>> (i) the IESG, or the IESG's leadership, is likely to
>> micromanage because it has tended to micromanage, or try to
>> do so, many of the things it has touched in the last several
>> years -- the secretariat, the content of various documents
>> down to the editorial level, the RFC Editor, and so on (some
>> of that has gotten better in recent months or years, but that
>>...
> Hmmm .... I don't see how worrying this particular BCP to
> death is going to change any of that.  You're talking some
> pretty  fundmamental doom-and-gloom stuff.  If things are that
> broken, could any BCP fix them?

Well, that is one of the reasons why several members of the
community have tried to comment, several times, that the Admin
Reorg effort is addressing problems that are either irrelevant
or not on the critical path.   And I have observed that all of
them, after having been ignored, have simply dropped out of the
discussion.  I suspect, but can't prove, that "in disgust"
belongs at the end of that sentence.

I'd also observe that I don't think you have tried to get a
technical or standards track document through the system in the
last year or two.

>> worried about the IAD/IASA making that decision: I expect
>> those people to be firmly in contact with fiscal realities and
>> management-relationships principle.  Whether one agrees with
>> it or not, characterizing it as a corner case seems to me
>> like a stretch.
> 

The bagels aren't just corner cases, they are a
deliberately-silly example (which I think I've said).  But the
question of how much the IESG and IAB should be able to
intervene in the operations of the IASA is not.

>> team because there was no indication that the advice was
>>...

I actually never asked for an executive search.  I asked for
review of the description by someone competent in that area and
for the transition team to consider whether an executive search
was appropriate.  My personal hypothesis, as I said on the list,
was that it probably would not be useful and worth the costs.
But I thought the question was important to ask, and am
concerned about the symptoms of its not being asked, of the
description not being reviewed by professionals, etc.

As far as whether I'm overblowing the position, I don't know,
because I still can't figure out from the draft just what the
expectations are of how much authority that person has and what
he or she is expected to do.   If we are talking about an
overblown administrative assistant (or executive assistant to
the IETF Chair), then thinking seriously about searches is
unnecessary.  But I keep seeing phrases that imply managing a
fairly large operation consisting of multiple subcontractors,
shaping a reasonably large budget, and making a large number of
decisions that could, if gotten wrong, impact the IETF's ability
to function.  If _those_ are the expectations, then I think we
really want some executive-level talent in the job and that
hiring someone junior who happens to know some of the IETF
Leadership (not the only alternative, but one extreme
possibility) would be a bit mistake.

> As to the end of the IETF, mumble.  That seems a bit much.

Well, my impression -- it is just an impression, but I am still
trying to get technical work done in this community and keep
hearing from others in the same boat-- is that this process is
sucking a lot of the energy and life out of the community.  I
suggest that very few of the people who are following all of the
BCP and issues traffic are functionally doing anything else in
the IETF.  If those impressions are correct, it brings us to the
question of how long we can pull energy into administrative
planning and similar structural/ organizational issues before it
is fatal... whether fatal to energy, fatal to the notion that
work can get done here, fatal to the notion that investing (in
donations, travel money, or just time) in the IETF is a
worthwhile investment, or in some other way.

Is that "a bit much"?  Probably.   But it is beginning to make
me really nervous.

>> except sometimes to suggest that excess detail be removed.
>> That is not an accident.  It is consistent, I think, with
>> your desire to get this cooked and out but without pushing
>> important issues under the proverbial rug in the process.
>> 

And I think that a large fraction of that "remarkable degree of
consensus" is consensus by exhaustion of most of the community.
I've even heard from several IAB and IESG members that they have
been exhausted by the process and can't deal with it any more.
We've recently had a document about a piece of this work
published with an announcement that contained the phrase "The
IETF Chair has declared that the IETF has consensus on this
recommendation;...".  I'm probably just being oversensitive,
but, in the "no kings; rough consensus and running code" IETF I
remember, that phrasing would have produced immediate calls for
explanation or resignation.  I observe that there apparently
haven't been any (including from me).  Perhaps that is a sign
that everyone has tuned out as a consequence of this process.
Perhaps it indicates that the IETF is already dead or at least
in need of life support.  Or perhaps we are evolving in a
direction in which "declarations" are an appropriate community
consensus-determining mechanism.

regards,
   john

---

From: Sam Hartman <[email-masked]>
Date: Thu, 23 Dec 2004 19:49:58 -0500

>>>>> "John" == John C Klensin <[email-masked]> writes:

    John> --On Thursday, 23 December, 2004 09:42 -0800 Carl Malamud
    John> <[email-masked]> wrote:

    >> daily happening and people will hire lawyers instead of working
    >> it out.

    John> No, my concern is that

    John> (i) the IESG, or the IESG's leadership, is likely to
    John> micromanage because it has tended to micromanage, or try to
    John> do so, many of the things it has touched in the last several
    John> years -- the secretariat, the content of various documents
    John> down to the editorial level, the RFC Editor, and so on (some
    John> of that has gotten better in recent months or years, but
    John> that isn't the point).  Even you have made the claim that
    John> they (for some instance of "they") have tried to micromanage
    John> you in terms of the contents of your various reports and
    John> recommendations.  And the discussion of why the IETF and IAB
    John> Chairs had to be on the IAOC had, to me, a strong ring of
    John> "so we can make sure that administrative entity does exactly
    John> what we want", which is close to an operational definition
    John> of intended micromanagement.  So that one isn't a corner
    John> case, it is a simple extrapolation from behavior that has
    John> been observed in the community (and commented upon in the
    John> Problem Statement work, which makes it feel like I'm not
    John> alone in those impressions).

Micro-management is not the same as management.  I actually think the
IESG and IAB have done a good job of stepping in, applying management
and solving some real problems over the years.  I realize that I'm now
part of the IESG and thus part of the organization that you believe is
doing too much micro-management.  However I haven't been involved in
many of the past decisions and so I think that this response is at
least mostly untainted by my involvement in the IESG.p

So, I do see the IESG and IAB continuing to try and set priorities for
the parts of the secretariat that influence the standards process.
Clearly these priorities will need to be evaluated in the entire
budget context by the IASA just as they are now evaluated by Fortec.

I'm not sure what specific issues you believe are micro-management.
However I contend that this BCP is not the right forum for these
concerns to be addressed.  If you have concerns about how the IAB and
IESG are conducting themselves, there are several approaches you could
take.  First, you can provide input to the IESG and IAB about how they
have handled specific issues and how they are handling issues before
them.  In cases where you believe it is necessary to do so, you can
even appeal decisions.  You can also provide feedback to the nomcom if
you believe that a different set of qualifications or outlook is
required for IESG and IAB members.

--Sam, speaking only for myself

---

From: John Leslie <[email-masked]>
Date: Thu, 23 Dec 2004 20:07:54 -0500

John C Klensin <[email-masked]> wrote:
>> [John Klensin wrote:]
>>> years...

   John Klensin, I think, is in a position to know whether this is
so. I haven't seen evidence that he's wrong...

>> broken, could any BCP fix them?

   Well, we've had at least partial success on previous tries...

   But that's really not the point. We should ask, will _this_ BCP
tend to make that situation better or worse?

> or not on the critical path. 

   Indeed. The lack of agreement what _is_ the critical path has
made this process difficult.

> And I have observed that all of them, after having been ignored,
> have simply dropped out of the discussion. 

   This is not the way consensus is supposed to work: that things
get dragged out until only like-minded people are still around.
Consensus is supposed to consider issues raised by even very small
minorities, and try to satisfy all reasonable persons that their
concerns are addressed.

>>> ... But I'm concerned about even the possibility of
>>> bagels-by-appeal, or bagels-by-IESG/IAB-overriding IAD decisions,
>>> even while realizing that particular example is (deliberately)
>>> unlikely.

   This example is sufficiently unlikely that one is tempted to
dismiss it, and miss the baby being thrown out with the bathwater.

   I'm not so much worried about IESG actually _appealing_ the
decision on where to get bagels as I am about language which seems
to encourage anyone who doesn't like the bagels to _ask_ the IESG
to appeal it. Inevitable, somebody will claim to have heard that
<some-very-important-person> didn't like the bagels, at which
point it will be hard for any Chair to avoid wasting time talking
about bagels. :^(

   The whole idea here, I thought, was to set up a support structure
which would just work -- so that it could be "invisible" to the IESG
and never need to be discussed by that group. (The problem, I thought,
was that shortcomings of the current Secretariat were entirely too
visible; and the IESG was spinning its wheels discussing them.)

>>> it or not, characterizing it as a corner case seems to me

   Let's review what John Klensin asked for:
" 
"  * the IETF has got to keep its hands off the day-to-day 
"    decisions, even when they seem wrong
"      
"  * the IESG and IAB need to be prohibited structurally
"    from micromanaging, or managing at all, beyond the
"    degree that the IAOC wants to permit.  They supply
"    input, they make requests, but decisions rest on the
"    IAOC side of the wall and stay there, with the only
"    _real_ recourse being to fire the IAOC

   This doesn't sound like a "corner case" to me.

>> and get back to some real work.  :)  

   I respect Carl's belief... but I respect John Klensin's worry
more.

> been exhausted by the process and can't deal with it any more.

   They shouldn't have to!

   If what we design doesn't make their job easier, and reduce
the non-Internet things they need to worry about, this whole
process will be a terrible mistake.

   I have a great deal of respect for Harald. He's done a very
good job of managing a very difficult process. The process is an
exhausting one -- we're trying to replace a totally unique process
which _used_to_ work well for us with a slightly less unique
process which none of us have experience with.

   Beliefs run strong. Legitimate concerns arise at every turn.
Patience is needed here.

   I strongly recommend we wait for the next draft, so we can be
sure we're on the same page. Harald's probably doing better than
we may think he is. We _really_don't_ need arguments about whether
concerns are "legitimate" or "corner-cases" today.

--
John Leslie <[email-masked]>

---

From: [email-masked]
Date: Thu, 23 Dec 2004 22:15:16 -0500

On 23 dec 2004, at 20.07, John Leslie wrote:

> to appeal it.

I don't understand why it is that the IESG would make the appeals (I 
know this was the suggestion).  I think that appeals should continue to 
work as they do now.  First you appeal to the one who made the decision 
you don't like, then you escalate it.  So if I want to appeal the IAD's 
decision, i go to the IAD.  If I am not satisfied with the answer i go 
to the IAOC and then up the food chain (staying with the bagel motif) 
from there.

a.

---

From: "Spencer Dawkins" <[email-masked]>
Date: Thu, 23 Dec 2004 23:17:06 -0600

> happening and people will hire lawyers instead of working it out.

John's note took a stronger stand than I would have taken, but I 
happen to agree with most of his points - especially that IASA/IAD 
effectiveness should be evaluated in large slices. Maybe annually, 
certainly not decision-by-decision.

In my second marriage, I have learned that in a partnership vital to 
both parties, I don't get to pick the parts I like and demand that the 
other parts change. It's a package deal. If the package works, great, 
but trying to turn a package that doesn't work into one that does, 
part by part, just isn't worth the aggravation and agony.

Spencer

---

From: Carl Malamud <[email-masked]>
Date: Fri, 24 Dec 2004 05:01:08 -0800 (PST)

Hi Spencer -

[ Charset ISO-8859-1 unsupported, converting... ]
> certainly not decision-by-decision.

Periodic reviews are good ... Marshall Rose once suggested a 3-year
sunset clause.  In any case, you know you can do that review without
having that in the BCP?  (As could ISOC.)  That's a unilateral
action and the BCP is supposed to cover a mutual agreement.

> part by part, just isn't worth the aggravation and agony.

Well, mumble, since we're going down that metaphorical rat hole ...

You're right ... you can't make people change part by part.  But,
I can't somehow imagine a marriage between people preceeded with a 
6-month pre-nuptial negotiation period.  Perhaps in New York City,
but certainly not on the west coast where I live.

It seems to me that the IETF has been shacking up with ISOC for
10 years, has gone through an intensive courtship period with lots
of dating rules, and that if this marriage is going to work 
less time should be spent planning the divorce and a bit more time
on planning some romantic honeymoon activities like
forming committees, doing budgets, and evaluating IAD applicants.

I just don't see any marginal gain in further tweaking of the vows
and even if you get your prospective bride to utter specific
words, the lawyer/priest won't be around after the ceremony and
you're going to have to work together.  Isn't it time to cut
that cake?

Best regards and happy holidays ....

Regards,

Carl

---

From: Sam Hartman <[email-masked]>
Date: Fri, 24 Dec 2004 16:32:11 -0500

>>>>> "John" == John Leslie <[email-masked]> writes:

    John>    The whole idea here, I thought, was to set up a support
    John> structure which would just work -- so that it could be
    John> "invisible" to the IESG and never need to be discussed by
    John> that group. (The problem, I thought, was that shortcomings
    John> of the current Secretariat were entirely too visible; and
    John> the IESG was spinning its wheels discussing them.)

No, the secretariat function will and should not be invisible to the
IETF.  The IESG and IAB are likely to be in the best position to set
priorities for the clerk function.  The IESG is probably the body that
would make a decision if people felt that a particular meeting
location did not meet our openness requirements.  The IESG is involved
in approving a lot of scheduling requests.

However the IESG and IAB are only one of the customers of the
administrative function.   Today if the IESG asks for something
there's not a good way to know if the request is reasonable nor how it
is prioritized.  Understandably, Foretec's priorities are not quite the
same as the IETF's priorities.    They are a for-profit corporation
accountable to their shareholders.  To the extent that they do what
the IETF wants, it is because they choose to do so.  factors like good
will, demonstrating to other potential customers that they do a good
job and just wanting to be helpful are probably all important.  

One goal of the IASA is to bring this accountability into the IETF.
The IASA needs to balance priorities coming in from the IAB and IESG
against other needs and against available money.    The IESG is
expected to continue discussing secretariat functions although we hope
the spinning the wheels (to the extent that it does happen--I don't
know yet how much that is)will stop.  

    >>>> it or not, characterizing it as a corner case seems to me

    John>    Let's review what John Klensin asked for: " " * the IETF
    John> has got to keep its hands off the day-to-day " decisions,
    John> even when they seem wrong " " 

I don't strictly disagree with this although I'd prefer something less
restrictive.  The structure should reasonably represent the costs of
reviewing decisions so that decisions are not reviewed more frequently
than is appropriate.  Some may argue that this goal is difficult to
achieve and that simply never reviewing day-to-day decisions is a
better approach.

    John> * the IESG and IAB need to be
    John> prohibited structurally " from micromanaging, or managing at
    John> all, beyond the " degree that the IAOC wants to permit.
    John> They supply " input, they make requests, but decisions rest
    John> on the " IAOC side of the wall and stay there, with the only
    John> " _real_ recourse being to fire the IAOC

It all depends on what you mean here by managing.  The BCP explicitly
calls out the IESG and IAB as important customers of the IASA--or did
at one point.  If you are a services organization you certainly should
not be invisible to your important customers.  It also seems like at
least in practice your important customers will be able to create
significant pressure to meet their priorities or to explain why this
cannot be done in the money available.

On paper, though, I agree that the decision rests with the IASA.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 26 Dec 2004 09:45:30 +0100

I think that the text on appeals and recalls in draft-ietf-iasa-bcp-03.txt
is necessary and sufficient. There is a way to get decisions reviewed
and a way to get IAOC members fired. I don't want any more than that,
and I don't want the IAD formally subject to complaints except via
his or her management.

     Brian